
public abstract class Forme implements Dessinable {
	private Point origine;
	private char couleur;
	
	public Forme(Point origine, char couleur)
	{
		this.origine = origine;
		this.couleur = couleur;
	}

	public char getCouleur() {
		return couleur;
	}
	
	public Point getOrigine() {
		return origine;
	}
	
	public void bouge(int dx, int dy){
		origine.bouge(dx,dy);
	}
	
	public abstract boolean occupe(Point p);
}
