import java.util.ArrayList;
import java.util.List;


public class Illustration {
	private List<Dessinable> dessinables = new ArrayList<Dessinable>();
	private static int SIZE = 50;
	
	public void add(Dessinable d){
		this.dessinables.add(d);
	}
	
	public String toString(){
		String out = "";
		for(int y=0; y<SIZE; y++){
			for(int x=0; x<SIZE; x++){
				char couleur = ' ';
				for(Dessinable d : dessinables){
					if(d.occupe(new Point(x,y))){
						couleur = d.getCouleur(); 
					}
				}
				//ici, couleur est soit " ", soit la couleur de 
				//la dernire forme de la liste qui occupe le point (x,y)
				out += couleur;
			}
			out += '\n'; //fin de ligne
 		}
		return out;
	}

}
